@ECHO OFF
:: make shortcut menu ::::::::::::::::::::::::::::::::::::::::::::::
set subdir1=true
set device_shortcut_name=Device Manager
set execute_path=tools\device-manager\bin
set device_execute_file=device-manager.exe
set icon_path=tools\device-manager\icons
set device_icon_file=device_manager.ico

set program_path=%INSTALLED_PATH%\%execute_path%
set desktop_menu_icon_path=%INSTALLED_PATH%\%icon_path%

echo Program path : %program_path%
echo Desktop menu icon path : %desktop_menu_icon_path%
echo Setting shortcut...
if not "%MAKESHORTCUT_PATH%" == "" (
	wscript.exe "%MAKESHORTCUT_PATH%" /shortcut:"%device_shortcut_name%" /target:"%program_path%\%device_execute_file%" /icon:"%desktop_menu_icon_path%\%device_icon_file%" /subdir1:"%subdir1%"
)

:: make $USERNAME.lock file
echo %SDK_DATA_PATH%> "%program_path%\.%USERNAME%.lock"
echo COMPLETE
